Summary: Creates HTPASSWD files from VOMS servers
Name: voms2htpasswd
Version: 1.12.3
Release: 2%{?dist}
License: GPL
Group: Network
Source0: %{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: perl(Crypt::SSLeay)
Requires: perl(LWP::UserAgent)
Requires: perl(JSON)

%description
Creates HTPASSWD files from VOMS servers

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %attr(0644,root,root) /etc/voms2htpasswd.conf
%config(noreplace) %attr(0644,root,root) /etc/voms2htpasswd-bans.conf
%attr(0644,root,root) /etc/voms2htpasswd.conf.example
%attr(0755,root,root) /usr//bin/voms2htpasswd
%dir /etc/voms2htpasswd-static.d
%doc README

%changelog
* Wed Feb 13 2013 Anastasios Andronidis <andronat@grid.auth.gr> - 1.12.3-2
- More verbose error messages

* Fri Jan 27 2012 Anastasis Andronidis <andronat@grid.auth.gr> - 1.12.3-1
- Added exit status in case some URLs fail
  https://tomtools.its.cern.ch/jira/browse/SAM-3159

* Fri Jan 27 2012 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.12.2-1
- Added support for ATP over SSL
- Added ATP configuration examples

* Mon Jan 23 2012 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.12.1-1
- Wrong perl path
  https://tomtools.cern.ch/jira/browse/SAM-2327

* Fri Jan 20 2012 Christos Triantafyllidis <ctria@grid.auth.gr> - 1.12.0-1
- Added support ATP accounts
  https://tomtools.cern.ch/jira/browse/SAM-2195

* Fri Sep 30 2011 Emir Imamagic <eimamagi@srce.hr> - 1.11.0-1
- Keep existing htpasswd if no entries are found
  https://tomtools.cern.ch/jira/browse/SAM-1864

* Mon Aug 15 2011 Emir Imamagic <eimamagi@srce.hr> - 1.10.0-1
- Set VOMS anti-CSRF header
  https://tomtools.cern.ch/jira/browse/SAM-1779

* Thu Jun 30 2011 Emir Imamagic <eimamagi@srce.hr> - 1.9.0-1
- Non answering voms server stops generation or update of
  /etc/nagios/htpasswd.users
  https://tomtools.cern.ch/jira/browse/SAM-1676

* Wed Jan 12 2011 Emir Imamagic <eimamagi@srce.hr> - 1.8.0-1
- voms-htpasswd - making it more fault tolerant
  https://tomtools.cern.ch/jira/browse/SAM-1129

* Wed Nov 3 2010 Emir Imamagic <eimamagi@srce.hr> v1.7-1
- Include patches which enable web proxies
  https://tomtools.cern.ch/jira/browse/SAM-895

* Tue Apr 27 2010 Christos Triantafyllidis <ctria@grid.auth.gr> v1.6-1
- Added a banning mechanism
  https://savannah.cern.ch/bugs/?66487
- Filter for specific roles on GOCDB results
  https://savannah.cern.ch/bugs/?66433

* Tue Feb 23 2010 Emir Imamagic <eimamagi@srce.hr> v1.5-1
- Add GOCDB contacts generation
  https://savannah.cern.ch/bugs/index.php?63408

* Wed Jul 29 2009 Steve Traylen <steve.traylen@cern.ch> v1.4-3
- Add perl(LWP::UserAgent) bz#53752

* Thu Mar 05 2009 Steve Traylen <steve.traylen@cern.ch> v1.4-2
- Add in %{?dist} tag

* Thu Feb 26 2009 Steve Traylen <steve.traylen@cern.ch> v1.4-1
- Support -s <directory> , default /etc/voms2htpasswd-static.d.
  Any files ending in .conf in this directory are read and added
  to the generated htpasswd file.
  Fixes: https://savannah.cern.ch/bugs/?43085

* Mon Oct 13 2008 Steve Traylen <steve.traylen@cern.ch> v1.3-1
- Add new option [ -e Email || emailAddress ] to cope with
  different openssl versions. Default "emailAddress" suitable for
  openssl 0.9.7a and newer. Patch from Riccardo Murri.
  https://savannah.cern.ch/bugs/?42446
- voms2htpasswd now tests for trival configuration errors.
  Lines must be blank, start with a # or be significant and
  start with a vomss://
  https://savannah.cern.ch/bugs/?42597 
- Add RPM dependency for 'perl(Crypt::SSLeay)'

* Tue Sep 30 2008 Steve Traylen <steve.traylen@cern.ch> v1.2-1
- voms2htpasswd failed when email address not defined.
  Fix https://savannah.cern.ch/bugs/index.php?42345

* Mon Sep 29 2008 Steve Traylen <steve.traylen@cern.ch>
- v1.1-1
- Complete rewrite using perl(SOAP::Lite)
- Fix https://savannah.cern.ch/bugs/?42052
  Did not work with older VOMS servers.
- Fix https://savannah.cern.ch/bugs/?42051
  Remove hardcode voms.cern.ch
- Add README.
- Edit Makefile so it support "make install DESTDIR=/path/to/"

* Mon Jul 07 2008 James Casey <james.casey@cern.ch> - 0.1-2
- Move voms2htpasswd to /usr/bin
* Mon Jul 07 2008 James Casey <james.casey@cern.ch> - 0.1-1
- Initial build.

